Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1114260 - [RFE] Public extension API for ovirt-engine
Summary: [RFE] Public extension API for ovirt-engine
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Alon Bar-Lev
QA Contact: Ondra Machacek
URL:
Whiteboard: infra
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-06-29 09:37 UTC by Alon Bar-Lev
Modified: 2016-02-10 19:43 UTC (History)
13 users (show)

Fixed In Version: ovirt-engine-3.5.0_beta
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-11 18:05:07 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC

Description Alon Bar-Lev 2014-06-29 09:37:07 UTC
Since 3.5.0 ovirt-engine supports public API for:
1. authentication, authorization, accounting
2. logger

Implementation is available within ovirt-engine-extensions-api package.
Javadoc is available within ovirt-engine-extensions-api-javadoc package.

Comment 1 Barak 2014-06-29 11:19:21 UTC
This API is for building extensions to the engine.
Given this API the extensions can be built out of the engine's source tree (with only one dependency).

Comment 6 Julie 2015-02-03 05:47:38 UTC
If this bug requires doc text for errata release, please provide draft text in the doc text field in the following format:

Cause:
Consequence:
Fix:
Result:

The documentation team will review, edit, and approve the text.

If this bug does not require doc text, please set the 'requires_doc_text' flag to -.

Comment 8 errata-xmlrpc 2015-02-11 18:05:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.